using Microsoft.EntityFrameworkCore;
using timetracker.Shared;

namespace timetracker.Data;

public class TimetrackerDbContext(DbContextOptions<TimetrackerDbContext> options) : DbContext(options)
{
    public DbSet<User> Users => Set<User>();
    public DbSet<WorkDay> WorkDays => Set<WorkDay>();
    public DbSet<BreakEntry> BreakEntries => Set<BreakEntry>();
    public DbSet<AppSettings> AppSettings => Set<AppSettings>();
    public DbSet<VacationDay> VacationDays => Set<VacationDay>();
    public DbSet<PublicHoliday> PublicHolidays => Set<PublicHoliday>();
}
